org.apache.solr.spelling

## Class SpellCheckCollator

- java.lang.Object
- - org.apache.solr.spelling.SpellCheckCollator

-     public class SpellCheckCollator
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpellCheckCollator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<SpellCheckCollation>` | `collate(SpellingResult result, String originalQuery, ResponseBuilder ultimateResponse)`
    `SpellCheckCollator` | `setDocCollectionLimit(int docCollectionLimit)`
    `SpellCheckCollator` | `setMaxCollationEvaluations(int maxCollationEvaluations)`
    `SpellCheckCollator` | `setMaxCollations(int maxCollations)`
    `SpellCheckCollator` | `setMaxCollationTries(int maxCollationTries)`
    `SpellCheckCollator` | `setSuggestionsMayOverlap(boolean suggestionsMayOverlap)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpellCheckCollator

          public SpellCheckCollator()

  - ### Method Detail

    - #### collate

          public List<SpellCheckCollation> collate(SpellingResult result,
                                                   String originalQuery,
                                                   ResponseBuilder ultimateResponse)

    - #### setMaxCollations

          public SpellCheckCollator setMaxCollations(int maxCollations)

    - #### setMaxCollationTries

          public SpellCheckCollator setMaxCollationTries(int maxCollationTries)

    - #### setMaxCollationEvaluations

          public SpellCheckCollator setMaxCollationEvaluations(int maxCollationEvaluations)

    - #### setSuggestionsMayOverlap

          public SpellCheckCollator setSuggestionsMayOverlap(boolean suggestionsMayOverlap)

    - #### setDocCollectionLimit

          public SpellCheckCollator setDocCollectionLimit(int docCollectionLimit)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.